/* ---------------------------------------------------------------------------
Programme : ex5SIF1015.C
Langage   : C sur UNIX
Date      : Septembre 2019

Auteur    : F. Meunier

Ce programme permet de creer deux processus

processus pere affiche rien
LES processus fils affichent diverses lettres
--------------------------------------------------------------------------- */

#include <stdio.h>
#include <unistd.h>

/* ---------------------------------------------------------------------------
Programme principal.
--------------------------------------------------------------------------- */
int cntLettre = 0;
void main (void)
{
  int NBProc = 2;
  int i = 0;
  pid_t fork(void), val=1;
  void affiche_char(char c);
  
  // Le pere demarre NBProc processus 
  // Les fils affichent chacun leur lettre 
  
  for(i=0; i != NBProc;i++)
  {
    val = fork();
    if(val == 0)
    { 
      affiche_char('a'+ i);
    }
  }
  
 
} /* main */

void affiche_char(char c)
{
   nice(-20);
   while(1)
      printf("Le processus %d affiche le char %c pour la  %d ieme fois\n", getpid(), c, cntLettre++);
}

